Package org.eclipse.birt.report.engine.api

# Interface IHTMLRenderOption

All Superinterfaces:
  `IRenderOption`, `ITaskOption`

All Known Implementing Classes:
  `HTMLEmitterConfig`, `HTMLRenderOption`

public interface IHTMLRenderOption extends IRenderOption
Interface of constants of the HTML Render Opitons. This interface is implemented only by: HTMLRenderOption so far. The implementation classes should have the methods in order to support then HTML render options, including getter and setter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BASE_IMAGE_URL`
property key: base image URL
`static final String`
`BIRT_JS_URL_KEY`
the URL of head.js file
`static final String`
`BIRT_VIEWER_SERVLET_PATH`
property key: get the servlet property from render options
`static final String`
`HTML`
Output a complete HTML
`static final String`
`HTML_DISPLAY_FILTER_ICON`
Should the output display the filter icon.
`static final String`
`HTML_DISPLAY_GROUP_ICON`
Should the output display the group icon.
`static final String`
`HTML_ENABLE_AGENTSTYLE_ENGINE`
Should the HTML emitter output the BIRT styles directly to the report.
`static final String`
`HTML_ENABLE_COMPACT_MODE`
Using compact mode or not.
`static final String`
`HTML_ENABLE_INLINE_STYLE`
Using inline style or not.
`static final String`
`HTML_ENABLE_METADATA`
Should the output contain metadata.
`static final String`
`HTML_ID_NAMESPACE`
HTMLIDNamespace is used to solve the name conflict problem when embedding multiple reports into one page.
`static final String`
`HTML_INCLUDE_SELECTION_HANDLE`
Deprecated.
use METADATA
`static final String`
`HTML_INDENT`
whether or not the HTML is indented.
`static final String`
`HTML_LAYOUT_PREFERENCE`
Should the table be outed as fixed.
`static final String`
`HTML_NOCSS`
Output a HTML fragement without CSS defination.
`static final String`
`HTML_OUTPUT_MASTER_PAGE_MARGINS`
Should the HTML emitter output the master page's margins.
`static final String`
`HTML_RTL_FLAG`
Should we output HTML as RtL.
`static final String`
`HTML_TITLE`
Output the HTML default title.
`static final String`
`HTML_TYPE`
Define the type of the html content, it can be one of: HTML or HTML_NOCSS.
`static final String`
`HTML_VIEWPORT_META`
property key: viewport meta
`static final String`
`HTML_WRAP_TEMPLATE_TABLE`
Should the top-level template table be wrapped.
`static final String`
`IMAGE_DIRECTROY`
property key: image directory
`static final String`
`INSTANCE_ID_LIST`
The list used to contain the active object ids.
`static final String`
`LAYOUT_PREFERENCE_AUTO`
property key: layout preference auto layout
`static final String`
`LAYOUT_PREFERENCE_FIXED`
property key: layout preference fixed layout
`static final String`
`MASTER_PAGE_CONTENT`
Should the report contains page header and footer The value is a Boolean object, default is `Boolean.TRUE` Only effect if the HTML_Pagination is true
`static final String`
`METADATA_FILTER`
A filter for metadata.
`static final String`
`PAGEFOOTER_FLOAT_FLAG`
Floating the page footer.
`static final String`
`URL_ENCODING`
for some case, the user needs to define the resource encoding.
`static final String`
`USER_AGENT`
The agent used to render the html output.
`static final String`
`VIEWER_PREVIEW_HTML_LAYOUT`
property key: viewer preview like html layout (w/o page simulation)
`static final String`
`VIEWER_PREVIEW_LAYOUT`
property key: viewport meta
`static final String`
`VIEWER_PREVIEW_PAGE_LAYOUT`
property key: viewer preview like page layout

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseImageURL()`
returns the base url for creating image URL
`boolean`
`getDisplayFilterIcon()`
`boolean`
`getDisplayGroupIcon()`
`boolean`
`getEmbeddable()`
Get the information if the content is embeddable
`boolean`
`getEnableMetadata()`
`boolean`
`getHtmlPagination()`
Get html pagination.
`boolean`
`getHtmlRtLFlag()`
Get html RTL flag.
`String`
`getHtmlTitle()`
Get the html title
`String`
`getImageDirectory()`
returns the image directory that engine stores images and charts into
`boolean`
`getIncludeSelectionHandle()`
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
`List`
`getInstanceIDs()`
Get the Instance IDs
`boolean`
`getMasterPageContent()`
Get master page content.
`boolean`
`getPageFooterFloatFlag()`
Get page footer float flag.
`String`
`getUrlEncoding()`
Get the URL encoding
`String`
`getUserAgent()`
Get the user agent of the request
`default boolean`
`getViewerPageLayout()`
Get the viewer preview is page layout
`boolean`
`isEnableCompactMode()`
returns whether to use compact mode for the HTML output, whose default value is false.
`void`
`setBaseImageURL(String baseImageURL)`
sets the base image URL for image handling
`void`
`setDisplayFilterIcon(boolean displayFilterIcon)`
Sets the flag indicationg that if filter icons should be displayed.
`void`
`setDisplayGroupIcon(boolean displayFilterIcon)`
Sets the flag indicationg that if group expand/collapse icons should be displayed.
`void`
`setEmbeddable(boolean embeddable)`
Sets whether the HTML output can be embedded directly into an HTML page
`void`
`setEnableCompactMode(boolean enableCompactMode)`
sets whether to use compact mode for the HTML output.
`void`
`setEnableMetadata(boolean enableMetadata)`
Sets the flag which indicating if metadata should be output.
`void`
`setHtmlPagination(boolean paginate)`
Set Html pagination.
`void`
`setHtmlRtLFlag(boolean flag)`
Set html RTL flag.
`void`
`setHtmlTitle(String htmlTitle)`
Set the html title
`void`
`setImageDirectory(String imageDirectory)`
sets the image directory that engine stores images and charts into
`void`
`setIncludeSelectionHandle(boolean option)`
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
`void`
`setInstanceIDs(List instanceIDs)`
Set instance IDs
`void`
`setMasterPageContent(boolean show)`
Set master page content.
`void`
`setPageFooterFloatFlag(boolean flag)`
Set page footer float flag.
`void`
`setUrlEncoding(String encoding)`
Set the URL encoding
`void`
`setUserAgent(String userAgent)`
`void`
`setViewerPageLayout(boolean pageLayout)`
Set the viewer page layout is to be used

### Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### HTML_TYPE

static final String HTML_TYPE
Define the type of the html content, it can be one of: HTML or HTML_NOCSS.

See Also:
  - Constant Field Values

### HTML

static final String HTML
Output a complete HTML

See Also:
  - Constant Field Values

### HTML_NOCSS

static final String HTML_NOCSS
Output a HTML fragement without CSS defination.

See Also:
  - Constant Field Values

### USER_AGENT

static final String USER_AGENT
The agent used to render the html output.

See Also:
  - Constant Field Values

### URL_ENCODING

static final String URL_ENCODING
for some case, the user needs to define the resource encoding. It is used to encoding the hyperlinks which refers to the local resource. The value is a encode name, such as "utf-8".

See Also:
  - Constant Field Values

### INSTANCE_ID_LIST

static final String INSTANCE_ID_LIST
The list used to contain the active object ids. The value is a List object. The active objects including: Tempalate, Table, Chart, Label. the object in the list is a string, which is : bookmark, type, id.

See Also:
  - Constant Field Values

### MASTER_PAGE_CONTENT

static final String MASTER_PAGE_CONTENT
Should the report contains page header and footer The value is a Boolean object, default is `Boolean.TRUE` Only effect if the HTML_Pagination is true

See Also:
  - Constant Field Values

### HTML_INCLUDE_SELECTION_HANDLE

@Deprecated static final String HTML_INCLUDE_SELECTION_HANDLE
Deprecated.
use METADATA
Should we output the selection handle with the active object. The value is a Boolean Object, the default is `Boolean.FALSE`.

See Also:
  - Constant Field Values

### HTML_RTL_FLAG

static final String HTML_RTL_FLAG
Should we output HTML as RtL. The value is an Boolean Object, the default is `Boolean.FALSE`.

See Also:
  - Constant Field Values

### HTML_TITLE

static final String HTML_TITLE
Output the HTML default title. value???

See Also:
  - Constant Field Values

### PAGEFOOTER_FLOAT_FLAG

static final String PAGEFOOTER_FLOAT_FLAG
Floating the page footer. The value is an Boolean Object, the default is `Boolean.TRUE`. Only effect when HTML_PAGINATION is set to `Boolean.TRUE`

See Also:
  - Constant Field Values

### HTML_ENABLE_METADATA

static final String HTML_ENABLE_METADATA
Should the output contain metadata. This value is a Boolean Object. And if it's set to be `Boolean.TRUE`., the output will contains metadata include: Instance id, type and so on The default value is `Boolean.FALSE`

See Also:
  - Constant Field Values

### HTML_DISPLAY_FILTER_ICON

static final String HTML_DISPLAY_FILTER_ICON
Should the output display the filter icon. Only effect if the enable metadata is setting to `Boolea.TRUE`. The default value is `Boolean.FALSE`

See Also:
  - Constant Field Values

### HTML_DISPLAY_GROUP_ICON

static final String HTML_DISPLAY_GROUP_ICON
Should the output display the group icon. Only effect if the enable metadata is setting to `Boolea.TRUE`. The default value is `Boolean.FALSE`

See Also:
  - Constant Field Values

### IMAGE_DIRECTROY

static final String IMAGE_DIRECTROY
property key: image directory

See Also:
  - Constant Field Values

### BASE_IMAGE_URL

static final String BASE_IMAGE_URL
property key: base image URL

See Also:
  - Constant Field Values

### LAYOUT_PREFERENCE_FIXED

static final String LAYOUT_PREFERENCE_FIXED
property key: layout preference fixed layout

See Also:
  - Constant Field Values

### LAYOUT_PREFERENCE_AUTO

static final String LAYOUT_PREFERENCE_AUTO
property key: layout preference auto layout

See Also:
  - Constant Field Values

### HTML_VIEWPORT_META

static final String HTML_VIEWPORT_META
property key: viewport meta

See Also:
  - Constant Field Values

### VIEWER_PREVIEW_LAYOUT

static final String VIEWER_PREVIEW_LAYOUT
property key: viewport meta

See Also:
  - Constant Field Values

### VIEWER_PREVIEW_PAGE_LAYOUT

static final String VIEWER_PREVIEW_PAGE_LAYOUT
property key: viewer preview like page layout

See Also:
  - Constant Field Values

### VIEWER_PREVIEW_HTML_LAYOUT

static final String VIEWER_PREVIEW_HTML_LAYOUT
property key: viewer preview like html layout (w/o page simulation)

See Also:
  - Constant Field Values

### BIRT_VIEWER_SERVLET_PATH

static final String BIRT_VIEWER_SERVLET_PATH
property key: get the servlet property from render options

See Also:
  - Constant Field Values

### HTML_WRAP_TEMPLATE_TABLE

static final String HTML_WRAP_TEMPLATE_TABLE
Should the top-level template table be wrapped. Only effect if the enable metadata is setting to `Boolea.TRUE`. The default value is `Boolean.FALSE`

See Also:
  - Constant Field Values

### HTML_LAYOUT_PREFERENCE

static final String HTML_LAYOUT_PREFERENCE
Should the table be outed as fixed. The default value is `Boolean.FALSE`

See Also:
  - Constant Field Values

### HTML_ENABLE_AGENTSTYLE_ENGINE

static final String HTML_ENABLE_AGENTSTYLE_ENGINE
Should the HTML emitter output the BIRT styles directly to the report. The default value is `Boolean.FALSE` True: means the HTML emitter will output the BIRT styles directly to the report and depends on the browser to implement the style calculation. False: means the HTML emitter will use BIRT style engine to calculate the styles and output the result to the report.

See Also:
  - Constant Field Values

### HTML_OUTPUT_MASTER_PAGE_MARGINS

static final String HTML_OUTPUT_MASTER_PAGE_MARGINS
Should the HTML emitter output the master page's margins. This property is only works for the auto layout report. The fixed report will always output the master page's margins. The default value is `Boolean.FALSE` True: means the HTML emitter will output the master page's margins for auto report. False: means the HTML emitter won't output the master page's margins for auto report.

See Also:
  - Constant Field Values

### HTML_ID_NAMESPACE

static final String HTML_ID_NAMESPACE
HTMLIDNamespace is used to solve the name conflict problem when embedding multiple reports into one page.

See Also:
  - Constant Field Values

### HTML_INDENT

static final String HTML_INDENT
whether or not the HTML is indented. The default value is true.

See Also:
  - Constant Field Values

### METADATA_FILTER

static final String METADATA_FILTER
A filter for metadata.

See Also:
  - Constant Field Values

### HTML_ENABLE_INLINE_STYLE

static final String HTML_ENABLE_INLINE_STYLE
Using inline style or not. This option only works when the report is embeddable. True: Try to using the inline style to instead of style class. False: Try to use the style class to compress the HTML source.

See Also:
  - Constant Field Values

### HTML_ENABLE_COMPACT_MODE

static final String HTML_ENABLE_COMPACT_MODE
Using compact mode or not. If compact mode is enabled, text indents and new line separators will be ignored in html output.

See Also:
  - Constant Field Values

### BIRT_JS_URL_KEY

static final String BIRT_JS_URL_KEY
the URL of head.js file

See Also:
  - Constant Field Values

## Method Details

### getInstanceIDs

List getInstanceIDs()
Get the Instance IDs

Returns:
  Returns the instanceIDs.

### setInstanceIDs

void setInstanceIDs(List instanceIDs)
Set instance IDs

Parameters:
  `instanceIDs` - The instanceIDs to set.

### setEmbeddable

void setEmbeddable(boolean embeddable)
Sets whether the HTML output can be embedded directly into an HTML page

Parameters:
  `embeddable` - whether the HTML output can be embedded directly into an HTML page

### getEmbeddable

boolean getEmbeddable()
Get the information if the content is embeddable

Returns:
  whether the output is embeddable

### setUserAgent

void setUserAgent(String userAgent)

Parameters:
  `userAgent` - the user agent of the request

### getUserAgent

String getUserAgent()
Get the user agent of the request

Returns:
  the user agent for the request

### setUrlEncoding

void setUrlEncoding(String encoding)
Set the URL encoding

Parameters:
  `encoding` -

### getUrlEncoding

String getUrlEncoding()
Get the URL encoding

Returns:
  the URL encoding

### setMasterPageContent

void setMasterPageContent(boolean show)
Set master page content.

Parameters:
  `show` -

### getMasterPageContent

boolean getMasterPageContent()
Get master page content.

Returns:
  the master page content

### setHtmlPagination

void setHtmlPagination(boolean paginate)
Set Html pagination.

Parameters:
  `paginate` -

### getHtmlPagination

boolean getHtmlPagination()
Get html pagination.

Returns:
  the html pagination

### setIncludeSelectionHandle

@Deprecated void setIncludeSelectionHandle(boolean option)
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
Set if the selection handle must be included

Parameters:
  `option` - include the selection handle

### getIncludeSelectionHandle

@Deprecated boolean getIncludeSelectionHandle()
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
Get the information whether the selection handle is included

Returns:
  is the selection handle included

### setHtmlRtLFlag

void setHtmlRtLFlag(boolean flag)
Set html RTL flag.

Parameters:
  `flag` -

### getHtmlRtLFlag

boolean getHtmlRtLFlag()
Get html RTL flag.

Returns:
  the html RTL flag

### setHtmlTitle

void setHtmlTitle(String htmlTitle)
Set the html title

Parameters:
  `htmlTitle` - html title

### getHtmlTitle

String getHtmlTitle()
Get the html title

Returns:
  the default html title

### setPageFooterFloatFlag

void setPageFooterFloatFlag(boolean flag)
Set page footer float flag.

Parameters:
  `flag` -

### getPageFooterFloatFlag

boolean getPageFooterFloatFlag()
Get page footer float flag.

Returns:
  the page footer float flag

### setEnableMetadata

void setEnableMetadata(boolean enableMetadata)
Sets the flag which indicating if metadata should be output.

Parameters:
  `enableMetadata` - the flag

### getEnableMetadata

boolean getEnableMetadata()

Returns:
  the enable metadata flag value.

### setDisplayFilterIcon

void setDisplayFilterIcon(boolean displayFilterIcon)
Sets the flag indicationg that if filter icons should be displayed.

Parameters:
  `displayFilterIcon` - the flag

### getDisplayFilterIcon

boolean getDisplayFilterIcon()

Returns:
  the display filter icon flag value.

### setDisplayGroupIcon

void setDisplayGroupIcon(boolean displayFilterIcon)
Sets the flag indicationg that if group expand/collapse icons should be displayed.

Parameters:
  `displayFilterIcon` - the flag

### getDisplayGroupIcon

boolean getDisplayGroupIcon()

Returns:
  the group expand/collapse icon flag value.

### getImageDirectory

String getImageDirectory()
returns the image directory that engine stores images and charts into

Returns:
  the image directory.

### setImageDirectory

void setImageDirectory(String imageDirectory)
sets the image directory that engine stores images and charts into

Parameters:
  `imageDirectory` - the image directory that engine stores images and charts into

### getBaseImageURL

String getBaseImageURL()
returns the base url for creating image URL

Returns:
  Rreturn the abse image url

### setBaseImageURL

void setBaseImageURL(String baseImageURL)
sets the base image URL for image handling

Parameters:
  `baseImageURL` - the base image URL

### isEnableCompactMode

boolean isEnableCompactMode()
returns whether to use compact mode for the HTML output, whose default value is false.

Returns:
  returns whether to use compact mode for the HTML output

### setEnableCompactMode

void setEnableCompactMode(boolean enableCompactMode)
sets whether to use compact mode for the HTML output. If the compact mode was used, text indents and new line separators will be ignored.

Parameters:
  `enableCompactMode` -

### setViewerPageLayout

void setViewerPageLayout(boolean pageLayout)
Set the viewer page layout is to be used

Parameters:
  `pageLayout` - page layout for the preview

### getViewerPageLayout

default boolean getViewerPageLayout()
Get the viewer preview is page layout

Returns:
  true, if the viewer preview is page layout